from app.scripts import BaseOptionScript
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):

        cvsRepoBasePath = self.cfg["CVS_REPOSITORY_BASE"]
        if not self.isCVSIntegrationExists(cvsRepoBasePath):
            cvsRepoBasePath = "%s/cvsroot" % self.cfg["SCM_REPOSITORY_DATA_DIR"]
            return "CVS_REPOSITORY_BASE=%s" % cvsRepoBasePath

    def isCVSIntegrationExists(self, cvsRepoBasePath):

        if os.path.isdir(cvsRepoBasePath) and os.listdir(cvsRepoBasePath):
            return True

        return False
