__copyright__ = "Copyright (c) 2007-2014 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup Ownership for TeamForge home"

    def createRuntime(self):
        paraValues = (self.cfg["APP_USER"], self.cfg["APP_GROUP"],
              self.cfg["SOURCEFORGE_HOME"])
        app.util.runSystem("chown -R %s:%s %s" % paraValues, self.log)
