__copyright__ = "Copyright (c) 2007-2014 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os.path

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Set setuid for TeamForge script"

    def createRuntime(self):
        unixUtils = os.path.join(self.cfg['SOURCEFORGE_HOME'], 'bin',
              'Linux', 'unixutils')
        app.util.runSystem("chown root.root \"%s\"" % unixUtils, self.log)
        app.util.runSystem("chmod +s \"%s\"" % unixUtils, self.log)
