__copyright__ = "Copyright 2015 CollabNet, Inc. All rights reserved."

import re
from app.scripts import BaseConfigScript
import service.util
import service.constants
import os

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        confStr = ""
        if "redhat-7" in self.cfg["PLATFORM"]:
            allowString = "Require all granted"
        else:
            allowString = """Order allow,deny
    Allow from all"""

        return """
#
# TeamForge Subversion REST API Configuration
#
<IfModule !wsgi_module>
    LoadModule wsgi_module modules/mod_wsgi.so
</IfModule>

WSGISocketPrefix "{__HTTPD_WSGI_SOCKET_DIR__}/wsgi"
WSGIDaemonProcess sf_svn_wsgi python-path={__RUNTIME_DIR__}/sourceforge_home/integration:{__RUNTIME_DIR__}/sourceforge_home/svn-rest/pyjwt
WSGIProcessGroup sf_svn_wsgi

<Directory {__RUNTIME_DIR__}/sourceforge_home/svn-rest/>
    %s
</Directory>
""" %(allowString)
