__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup Integration Tomcat server.xml"

    def createRuntime(self):
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'integration', 'conf-snippets', 'tomcat-server.xml.d')) \
            .evaluateIntoFile(os.path.join(self.cfg['TOMCAT_BASE_DIR'], "conf", "server.xml"))
