__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Set Integration User Ownership"

    def createRuntime(self):
         app.util.runSystem("chown -R %s:%s %s" % (self.cfg['INTEGRATION_USER'],
                             self.cfg['INTEGRATION_GROUP'],
                             self.cfg['TOMCAT_BASE_DIR']), self.log)
         app.util.runSystem("chown -R %s:%s %s" % (self.cfg['INTEGRATION_USER'],
                             self.cfg['INTEGRATION_GROUP'],
                             self.cfg['INTEGRATION_LOG_DIR']), self.log)
         app.util.runSystem("chmod -R 755 %s" % (self.cfg['INTEGRATION_LOG_DIR']), self.log)

         confFile = os.path.join(self.cfg['RUNTIME_DIR'], "conf",
                            "sourceforge.properties")
         app.util.runSystem("chown %s:%s %s" % (self.cfg["INTEGRATION_USER"],
            self.cfg["INTEGRATION_GROUP"], confFile), self.log)
