from app.scripts import BaseCronScript

import os
import app.util
import app.landscape
import app.servicecontrol

SERVICE_NAME = "subversion-indexer"

class CronScript(BaseCronScript):

    scriptDescription = "Index subversion repositories"

    def cronjob(self):
        controller = app.landscape.Landscape.getSite() \
            .getLocalMachine() \
            .getService(SERVICE_NAME) \
            .getController(self.log)

        if not controller.createStartAction().execute():
            self.log.error("Starting %s failed" % SERVICE_NAME)
