from app.scripts import BaseOptionScript
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):

        svnRepoBasePath = self.cfg["SUBVERSION_REPOSITORY_BASE"]
        if not self.isSVNIntegrationExists(svnRepoBasePath):
            svnRepoBasePath = "%s/svnroot" % self.cfg["SCM_REPOSITORY_DATA_DIR"]
            return "SUBVERSION_REPOSITORY_BASE=%s" % svnRepoBasePath

    def isSVNIntegrationExists(self, svnRepoBasePath):

        if os.path.isdir(svnRepoBasePath) and os.listdir(svnRepoBasePath):
            return True

        return False

