﻿__copyright__ = "Copyright (c) 2007-2014 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create Integration properties"

    def createRuntime(self):
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'integration-base', 'conf-snippets', 'integration.properties.d')) \
            .evaluateIntoFile(os.path.join(self.cfg['RUNTIME_DIR'], "conf", "integration.properties"))
