__copyright__ = "Copyright 2015 CollabNet, Inc. All rights reserved."

import re
from app.scripts import BaseConfigScript
import service.util
import service.constants
import os

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
        modulePath = os.path.join(self.cfg['DISTRIBUTION_DIR'],
                                  'mod_authnz_ctf',
                                  'mod_authnz_ctf-' +  self.cfg['PLATFORM'] + '.so')

        return """
#
# SourceForge Subversion Configuration
#

# LoadModule python_module    modules/mod_python.so
# next line may be unnecessary for Apache 2.2
# LoadModule dav_module modules/mod_dav.so
<IfModule !dav_svn_module>
   LoadModule dav_svn_module modules/mod_dav_svn.so
</IfModule>

<IfModule !authnz_ctf_module>
   LoadModule authnz_ctf_module %s
</IfModule>
""" % (modulePath)
