__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Copy Integration WAR to deployment folder"

    def createRuntime(self):
        tomcatDeployDir = self.cfg['TOMCAT_DEPLOY_DIR']
        tomcatDeployWar = os.path.join(self.cfg['DEPLOY_FILES_DIR'],
                                     'integration.war')
        cmdStr = "cp -rf %s %s/" % (tomcatDeployWar, tomcatDeployDir)
        app.util.runSystem(cmdStr, self.log)
